%define upstream_name    MooX-Singleton
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Turn your Moo class into singleton
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Role::Tiny role that provides the "instance" manpage method turning your
object into singleton.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE INSTALL README META.yml META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.200.0-10.mga10
+ Revision: 2207837
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.200.0-9.mga9
+ Revision: 1817248
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-8.mga8
+ Revision: 1495756
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-7.mga7
+ Revision: 1269811
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-6.mga6
+ Revision: 1030725
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-5.mga6
+ Revision: 949474
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 789671
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 747082
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-2.mga5
+ Revision: 685502
- Mageia 5 Mass Rebuild

* Tue Nov 12 2013 shlomif <shlomif> 1.200.0-1.mga4
+ Revision: 550775
- imported package perl-MooX-Singleton


* Tue Nov 12 2013 cpan2dist 1.20-1mga
- initial mageia release, generated with cpan2dist
